Bug 1303242 - "Unable to find a pool with the ID \"null\"." is being returned from a PUT call to /owners/subscriptions
"Unable to find a pool with the ID \"null\"." is being returned from a PUT ca...
Status: ON_QA
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: vritant
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 17:03 EST by John Sefler
Modified: 2016-05-02 10:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2016-01-29 17:03:46 EST
Description of problem:

I have an automated EventTests that was authored long ago for the benefit of pre candlepin 2.0 testing to assert a "POOL MODIFIED" event.  The same tests continue to be executed against candlepin-2.0.  Recently one of the PUT calls started failing.  Testing candlepin-2.0 with the TESTDATA deployed, I am hitting this error when attempting to change the startDate of subscription 80....

[root@jsefler-6 ~]# curl --stderr /dev/null --insecure --user admin:admin --request PUT --data '{"owner":{"key":"admin"},"product":{"id":"awesomeos-guestlimit-4-stackable"},"id":"80","startDate":"Sat, 19 Dec 2015 19:00:00 -0500"}' --header 'accept: application/json' --header 'content-type: application/json' https://jsefler-f22-candlepin.usersys.redhat.com:8443/candlepin/owners/subscriptions | python -m json.tool
{
    "displayMessage": "Unable to find a pool with the ID \"null\".", 
    "requestUuid": "730a8259-261a-4d3e-9069-c4da7812a1d0"
}



Version:
[root@jsefler-f22-candlepin candlepin]# git log | head -1
commit 6d28f47fdbf1d6f7bd9b60ebb0bfc7842cf6f4e7  <===========
[root@jsefler-6 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.10-1  <===========
subscription management rules: 5.19
subscription-manager: 1.16.8-1.el6
python-rhsm: 1.16.6-1.el6
Comment 2 Mike McCune 2016-03-28 19:45:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.